Skip to main content

Get transaction history

GET 

/account/history

Returns a list of past transactions for your account or the specified date range. If the range is not specified, returns all past transactions.

info

This is a private endpoint. To send requests, you need to authenticate.

Rate limit weight points: 1

Request

Query Parameters

    fromDate unix-timestamp in milliseconds

    Possible values: >= 0

    The Unix timestamp starting from which to return transactions.

    toDate unix-timestamp in milliseconds

    Possible values: <= 8640000000000000

    The Unix timestamp up to which to return transactions.

    page integer

    Possible values: >= 1

    The page number for the transaction history.

    maxItems integer

    Possible values: >= 1 and <= 100

    The maximum number of items per page in the transaction history.

    type string

    Possible values: [sell, buy, staking, fixed_staking, deposit, withdrawal, affiliate, distribution, internal_transfer, withdrawal_cancelled, rebate, loan, external_transferred_funds, manually_assigned]

    The type of transaction to return.

Responses

The request was successful.

Schema
    items object[]
  • Array [
  • transactionIdstring

    The unique identifier of the transaction.

    Example: 5f5e7b3b-4f5b-4b2d-8b2f-4f2b5b3f5e5f
    executedAtstring<date-time>

    The Unix timestamp when the transaction was executed.

    Example: 2021-01-01T00:00:00.000Z
    typestring

    The type of transaction.

    Possible values: [sell, buy, staking, fixed_staking, deposit, withdrawal, affiliate, distribution, internal_transfer, withdrawal_cancelled, rebate, loan, external_transferred_funds, manually_assigned, manually_assigned_bitvavo]

    priceCurrencystring

    The currency in which the transaction was made.

    Example: EUR
    priceAmountstring

    The amount of the transaction.

    Example: 1000.00
    sentCurrencystring

    The currency that was sent in the transaction.

    Example: EUR
    sentAmountstring

    The amount that was sent in the transaction.

    Example: 0.1
    receivedCurrencystring

    The currency that was received in the transaction.

    Example: BTC
    receivedAmountstring

    The amount that was received in the transaction.

    Example: 0.0001
    feesCurrencystring

    The currency in which the fees were paid.

    Example: EUR
    feesAmountstring

    The amount of fees paid in the transaction.

    Example: 0.01
    addressstringnullable

    The address where the transaction was made.

  • ]
  • currentPageinteger

    The current page number.

    Example: 1
    totalPagesinteger

    The total number of returned pages.

    Example: 1
    maxItemsinteger

    The maximum number of transactions per page.

    Example: 100